Name:          libgksu
Version:       2.0.12
Release:       5mamba
Summary:       A library that provides a Gtk+ frontend to su and sudo
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.nongnu.org/gksu/
Source:        http://people.debian.org/~kov/gksu/libgksu-%{version}.tar.gz
Patch0:        libgksu-2.0.12-fbsd.patch
Patch1:        libgksu-2.0.12-configure-libs.patch
Patch2:        libgksu-2.0.12-automake-1.11.2.patch
Patch3:        libgksu-2.0.12-make-3.82.patch
Patch4:        libgksu-2.0.12-polinguas.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGConf-devel
BuildRequires: libORBit2-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libatk-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libelf-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk2-devel
BuildRequires: libgtop-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libselinux-devel
BuildRequires: libstartup-notification-devel
BuildRequires: libxcb-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libgtop-devel >= 2.34.0-2mamba
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GKSu is a library that provides a Gtk+ frontend to su and sudo. It supports login shells and preserving environment when acting as a su frontend. It is useful to menu items or other graphical programs that need to ask a user's password to run another program as another user. 

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
GKSu is a library that provides a Gtk+ frontend to su and sudo. It supports login shells and preserving environment when acting as a su frontend. It is useful to menu items or other graphical programs that need to ask a user's password to run another program as another user. 
This package contains static libraries and header files needed for development.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
touch NEWS README

%build
autoreconf -f -i
%configure
%make LIBS="-lX11"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
%ifarch x86_64
install -d -m0755 %{buildroot}%{_prefix}/lib
ln -s ../lib64/libgksu %{buildroot}%{_prefix}/lib/libgksu
%endif

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
# -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/gksu.schemas
%{_bindir}/gksu-properties
%{_libdir}/libgksu2.so.*
%ifarch x86_64
%{_prefix}/lib/libgksu
%endif
%dir %{_libdir}/libgksu
%{_libdir}/libgksu/gksu-run-helper
%{_datadir}/applications/gksu-properties.desktop
%dir %{_datadir}/libgksu
%{_datadir}/libgksu/gksu-properties.ui
%{_mandir}/man1/gksu-properties.1*
%{_datadir}/pixmaps/gksu.png
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_prefix}/include/libgksu/*.h
%{_libdir}/libgksu2.a
%{_libdir}/libgksu2.la
%{_libdir}/libgksu2.so
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gtk-doc/html/libgksu
%{_datadir}/gtk-doc/html/libgksu/*
%doc ChangeLog

%changelog
* Sat Jun 25 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.12-5mamba
- rebuilt by autoport with build requirements: libgtop-devel>=2.34.0-2mamba

* Sat Jun 25 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.12-4mamba
- rebuilt by autoport with build requirements: libgtop-devel>=2.34.0-2mamba

* Sun Jul 27 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.12-3mamba
- x86_64: provide symlink /usr/lib/libgksu for gksu-run-helper to be found

* Sun Jun 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.12-2mamba
- rebuilt to update .la file

* Mon Sep 28 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.12-1mamba
- package created by autospec
